
package de.fzi.ipe.soboleo.server.matureservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * searching digital resources by tags (tagURIs) and aggregates several digitalResourceSearchServices
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.7-b01-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "MATURE-AggregatedDigitalResourceSearchService", targetNamespace = "http://mature-ip.eu/MATURE")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    ObjectFactory.class
})
public interface MATUREAggregatedDigitalResourceSearchService {


    /**
     * search digital resources that are, e.g. annotated with given tag
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.matureservice.SearchDigitalResourcesByTagsResponse
     * @throws InvalidKeyException
     */
    @WebMethod(action = "http://mature-ip.eu/MATURE/searchDigitalResourcesByTags")
    @WebResult(name = "searchDigitalResourcesByTagsResponse", targetNamespace = "http://mature-ip.eu/MATURE/extratypes", partName = "parameters")
    public SearchDigitalResourcesByTagsResponse searchDigitalResourcesByTags(
        @WebParam(name = "searchDigitalResourcesByTagsRequest", targetNamespace = "http://mature-ip.eu/MATURE", partName = "parameters")
        SearchDigitalResourcesByTagsRequest parameters)
        throws InvalidKeyException
    ;

}
